## LassoIsInteractionRequest LassoIsInteractionRequest — <is:InteractionRequest> |

## Functions

#define | LASSO_IS_IS_INTERACTION_REQUEST()
LassoIsInteractionRequest * | lasso_is_interaction_request_new ()

## Types and Values

struct | LassoIsInteractionRequest

## Description

Figure 197. Schema fragment for is:InteractionRequest

    <xs:complexType name="InteractionRequestType">
      <xs:sequence>
        <xs:element ref="Inquiry" maxOccurs="unbounded"/>
        <xs:element ref="ds:KeyInfo" minOccurs="0"/>
      </xs:sequence>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
      <xs:attribute name="language" type="xs:NMTOKENS" use="optional"/>
      <xs:attribute name="maxInteractTime" type="xs:integer" use="optional"/>
      <xs:attribute name="signed" type="xs:token" use="optional"/>
    </xs:complexType>

## Functions

### LASSO_IS_IS_INTERACTION_REQUEST()

    #define             LASSO_IS_IS_INTERACTION_REQUEST(obj)

### lasso_is_interaction_request_new ()

    LassoIsInteractionRequest *
    lasso_is_interaction_request_new (void);

## Types and Values

### struct LassoIsInteractionRequest

    struct LassoIsInteractionRequest {
    	LassoNode parent;

    	LassoDiscoResourceID *ResourceID;
    	LassoDiscoEncryptedResourceID *EncryptedResourceID;
    	GList *Inquiry; /* of LassoNode */

    	char *id;
    	char *language;
    	int maxInteractTime;
    	LassoDsKeyInfo *KeyInfo;
    	char *signed_attribute;
    };